認証プロバイダーは登録済みです
この問題が発生すると、APIは409 Conflictを返します。typeはhttps://lingo.dev/docs/api/errors/sso-identity-provider-takenです。すべてのエラーに共通する構造については、エラーとステータスコードを参照してください。
認証プロバイダーは、組織<organizationId>のメタデータ内の別の場所にすでに登録されています。移動するには、Lingo.devのサポートにお問い合わせください。
フィールド#
レスポンス本文には、標準のtype、status、title、detailの各メンバーに加えて、以下のフィールドが含まれます。detailのテキストはこれらのフィールドから生成されるため、クライアント側で独自のテキストに置き換えて表示できます。
| フィールド | 型 |
|---|---|
organizationId | string |
例#
json
{
"detail": "An identity provider already registered elsewhere in the metadata at organization <organizationId>. Contact Lingo.dev support to move it.",
"organizationId": "<organizationId>",
"type": "https://lingo.dev/docs/api/errors/sso-identity-provider-taken",
"status": 409,
"title": "Identity provider taken"
}このエラーを返すエンドポイント#
PUT /v2/organizations/{orgId}/sso